<?php

/*
This file add lecture access to the user.
If user doesn't have 'editor' permissions, it will add one
Input parameters: t_userId, t_lectureId.
*/

include 'logging.php';
include 'database.php';

if (!isset($_POST['t_userId'])) {
	echo 'User is not selected';
	return;
} 
if (!isset($_POST['t_lectureId']))
{
	echo 'Lecture is not selected';
	return;
}
$gv_lectureid = cleanparam($_POST["t_lectureId"]);
$gv_userid = cleanparam($_POST["t_userId"]);
/*verify that user is editor*/
 if ($gv_stmt = mysqli_prepare($gv_link, "SELECT user_id FROM molly_permissions WHERE user_id=? and group_name = 'editor'")) 
    {
        mysqli_stmt_bind_param($gv_stmt, "i", $gv_userid);

        mysqli_stmt_execute($gv_stmt);
	 mysqli_stmt_bind_result($gv_stmt, $userid);
	 $rows = 0;
        while(mysqli_stmt_fetch($gv_stmt)){
           $rows = 1;
        }
	
        /*if user doesn't have editor permission we need to add one*/
	 if ($rows == 0)
	 {	
		if ($gv_stmt2 = mysqli_prepare($gv_link, "INSERT INTO `molly_permissions` (`user_id`,`group_name`,`permitted`,`group_type`) VALUES (?,'editor','1','independent')")) 
    		{     
       		 mysqli_stmt_bind_param($gv_stmt2, "i", $userid);
        		 mysqli_stmt_execute($gv_stmt2);
	 		 mysqli_stmt_close($gv_stmt2);     
    		}

	 }     
      
	 mysqli_stmt_close($gv_stmt);   
    }
/*Now we need to create xref record*/
$gv_query = "INSERT INTO lecture_user_xref (`lecture_id`, `user_id`) VALUES (".$gv_lectureid.", ".$gv_userid.")";
   		if ($result = mysqli_query($gv_link, $gv_query)) { 
			echo 'success';
		}else
		{
			printf("Error: %s\n", mysqli_error($gv_link));	
		} 
include('databaseclose.php');		
?>