<?php

class Logging {
    // declare file pointer as private properties
    private $fp;

    // write message to the log file
    public function lwrite($pv_message) {
        // if file pointer doesn't exist, then open log file
        if (!is_resource($this->fp)) {
            $this->lopen();
        }
        // define script name
        $fv_script_name = pathinfo($_SERVER['PHP_SELF'], PATHINFO_FILENAME);       
        $fv_time = @date('[d/M/Y:H:i:s]');     
        fwrite($this->fp, "$fv_time ($fv_script_name) $pv_message" . PHP_EOL);
    }

    public function lclose() {
        fclose($this->fp);
    }
   
    private function lopen() {
        $fv_lfile = "../logging/logfile.txt";
        // open log file for writing only and place file pointer at the end of the file
        // (if the file does not exist, try to create it)
        $this->fp = fopen($fv_lfile, 'a') or exit("Can't open $fv_lfile!");
    }
}
// Initiate global property for logging
 $gv_log = new Logging();
?>