-- phpMyAdmin SQL Dump
-- version 3.4.5
-- http://www.phpmyadmin.net
--
-- Host: localhost
-- Generation Time: Jul 17, 2017 at 02:06 AM
-- Server version: 5.1.73
-- PHP Version: 5.3.3

SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";
SET time_zone = "+00:00";



-- --------------------------------------------------------

--
-- Table structure for table `lecture_user_xref`
--

CREATE TABLE IF NOT EXISTS `lecture_user_xref` (
  `lecture_id` int(11) NOT NULL,
  `user_id` int(11) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `lecture_user_xref`
--


-- --------------------------------------------------------

--
-- Table structure for table `Slide_comments`
--

CREATE TABLE IF NOT EXISTS `Slide_comments` (
  `Comments_id` int(11) NOT NULL AUTO_INCREMENT,
  `slide_id` int(11) NOT NULL,
  `user_id` int(11) NOT NULL,
  `comments` varchar(2500) NOT NULL,
  `createddate` datetime NOT NULL,
  PRIMARY KEY (`Comments_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=8 ;

--
-- Dumping data for table `Slide_comments`
--

-- --------------------------------------------------------

--
-- Table structure for table `vullo_captions`
--

CREATE TABLE IF NOT EXISTS `vullo_captions` (
  `captionid` int(11) NOT NULL AUTO_INCREMENT,
  `lectureid` int(11) NOT NULL,
  `captionnum` int(11) NOT NULL,
  `captionbody` varchar(2500) NOT NULL,
  `caption_seconds` decimal(9,0) NOT NULL,
  PRIMARY KEY (`captionid`),
  KEY `lectureid` (`lectureid`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=9169 ;

--
-- Dumping data for table `vullo_captions`
--

-- --------------------------------------------------------

--
-- Table structure for table `vullo_lectures`
--

CREATE TABLE IF NOT EXISTS `vullo_lectures` (
  `lecture_id` mediumint(10) NOT NULL AUTO_INCREMENT,
  `lecturename` varchar(255) NOT NULL DEFAULT '',
  `coursenumber` varchar(255) DEFAULT NULL,
  `online` int(1) NOT NULL DEFAULT '0',
  `poster` varchar(255) DEFAULT NULL,
  `enable_comments` int(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`lecture_id`),
  UNIQUE KEY `lecture_id` (`lecture_id`),
  KEY `lecturename` (`lecturename`),
  KEY `coursenumber` (`coursenumber`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=308 ;

--
-- Dumping data for table `vullo_lectures`
--

-- --------------------------------------------------------

--
-- Table structure for table `vullo_lecture_videos`
--

CREATE TABLE IF NOT EXISTS `vullo_lecture_videos` (
  `video_id` mediumint(9) NOT NULL AUTO_INCREMENT,
  `lecture_id` mediumint(9) NOT NULL,
  `video_file_name` varchar(255) NOT NULL,
  `video_type` varchar(255) NOT NULL,
  `video_length` decimal(15,4) NOT NULL DEFAULT '0.0000',
  PRIMARY KEY (`video_id`),
  KEY `lecture_id` (`lecture_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=189 ;

--
-- Dumping data for table `vullo_lecture_videos`
--

-- --------------------------------------------------------

--
-- Table structure for table `vullo_slides`
--

CREATE TABLE IF NOT EXISTS `vullo_slides` (
  `slideid` mediumint(9) NOT NULL AUTO_INCREMENT,
  `lectureid` mediumint(9) NOT NULL DEFAULT '0',
  `slidenum` mediumint(9) NOT NULL DEFAULT '0',
  `slidetitle` varchar(255) DEFAULT NULL,
  `slidebody` mediumtext,
  `lecture_notes` varchar(4000) DEFAULT NULL,
  `student_notes` varchar(4000) DEFAULT NULL,
  `slide_seconds` decimal(9,0) NOT NULL DEFAULT '0',
  KEY `slideID` (`slideid`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=3566 ;

--
-- Dumping data for table `vullo_slides`
--
