<?php

/*
  this file deletes lecture with all related content
  Input parameters: t_lectureId - lecture Id to delete
  Lecture will be deleted from the database as well as all related materials such as video and poster will be deleted in videotracks/lectureid folder 
*/

include 'logging.php';
include 'database.php';
if (empty($_POST['t_lectureId'])) {
	echo 'Lecture is not selected';
       return;
} 

// First we need to delete all related files

$gv_video_folder = "../videotracks/".$_POST['t_lectureId'];

if (file_exists($gv_video_folder))
{

	foreach (scandir($gv_video_folder) as $item) {
    		if ($item == '.' || $item == '..') continue;
    	unlink($gv_video_folder.DIRECTORY_SEPARATOR.$item);
	}
	rmdir($gv_video_folder);
}

$gv_query = "call DeleteLecture(".$_POST['t_lectureId'].")";
 if ($result = mysqli_query($gv_link, $gv_query)) { 
		echo 'success';
 }else
 {
	printf("Error: %s\n", mysqli_error($gv_link));	
 }
include('databaseclose.php');

?>