<?php
/*
This file is setting online bit for a lecture.
Input parameters:
t_online: value for online bit. 1 - lecture is available online, 0 - lecture is not available online for all users
*/

include 'logging.php';
include 'database.php';

$gv_command = $_GET["t_command"];

switch($gv_command){
    case "setonline":      
        
	if(!isset($_GET["t_online"]) || !isset($_GET["t_lectureid"]))
	{
    		http_response_code(400);
	}

	$gv_online = $_GET["t_online"];
	$gv_lId = $_GET["t_lectureid"];  
	if ($gv_stmt = mysqli_prepare($gv_link, "UPDATE vullo_lectures set online =? where lecture_id=?")) 
	{	
	       mysqli_stmt_bind_param($gv_stmt, "ii",$gv_online,$gv_lId);	      
		mysqli_stmt_execute($gv_stmt);
		mysqli_stmt_close($gv_stmt);
	}      
	break;
    case "setenablecomments":
        if(!isset($_GET["t_enablecomments"]) || !isset($_GET["t_lectureid"]))
	{
    		http_response_code(400);
	}
	
	$gv_enablecomments = $_GET["t_enablecomments"];
	$gv_lId = $_GET["t_lectureid"];  
	if ($gv_stmt = mysqli_prepare($gv_link, "UPDATE vullo_lectures set enable_comments =? where lecture_id=?")) 
	{	
	       mysqli_stmt_bind_param($gv_stmt, "ii",$gv_enablecomments ,$gv_lId);	      
		mysqli_stmt_execute($gv_stmt);
		mysqli_stmt_close($gv_stmt);
	}      
	break;
     case "editlecturename":
        if(!isset($_GET["t_lecturename"]) || !isset($_GET["t_lectureid"]))
	{
    		http_response_code(400);
	}
	
	$gv_lectureName= $_GET["t_lecturename"];
	$gv_lId = $_GET["t_lectureid"];  
	if ($gv_stmt = mysqli_prepare($gv_link, "UPDATE vullo_lectures set lectureName =? where lecture_id=?")) 
	{
	       echo 'test';
	       mysqli_stmt_bind_param($gv_stmt, "si",$gv_lectureName,$gv_lId);	      
		mysqli_stmt_execute($gv_stmt);
		mysqli_stmt_close($gv_stmt);
	}      
	break;

     case "editcoursenumber":
	 if(!isset($_GET["t_coursenumber"]) || !isset($_GET["t_lectureid"]))
	{
    		http_response_code(400);
	}
	
	$gv_courseNumber= $_GET["t_coursenumber"];
	$gv_lId = $_GET["t_lectureid"];  
	if ($gv_stmt = mysqli_prepare($gv_link, "UPDATE vullo_lectures set courseNumber=? where lecture_id=?")) 
	{
	       mysqli_stmt_bind_param($gv_stmt, "si",$gv_courseNumber,$gv_lId);	      
		mysqli_stmt_execute($gv_stmt);
		mysqli_stmt_close($gv_stmt);
	}      
	break;

}

include('databaseclose.php');
?>