/*
This file supports javascript for User managment page.
Main functions: display available users for select, add and delete users 
*/

var selectedUserId = 0;

function Result(){
	this.success = null;
	this.value= null;	
}


function ShowDeleteConfirmation(id) {
        selectedUserId = id;
        $("#confirmDelete").fadeIn(200);
    }
    
function HideDeleteConfirmation() {
    $("#confirmDelete").fadeOut(500);
}
    
function HideSelectUser() {
     $("#SelectUser").fadeOut(500);
}

function ShowSelectUserList() {
	var showall = 0;
    if ($("#showalluserscheck") &&  $("#showalluserscheck").is(':checked')){
		showall = 1;
	}
		
	$.ajax({
	type : 'POST',
	url : 'commands/users/listusers.maml?t_showall='+showall,
	data: {t_LectureID: lectureId},
	success : function(data){            
		$("#SelectUser").html(data);		
	},
	error : function(XMLHttpRequest, textStatus, errorThrown) {
	alert("textStatus " +textStatus);
	alert("errorThrown "+errorThrown);
	}
});

 $("#SelectUser").fadeIn(200);
}

function RemoveUser()
{
		var obj  = new Result();

	HideDeleteConfirmation();
	$.ajax({
	type : 'POST',
	url: 'commands/users/adddeleteuser.maml',
	data:{t_lectureId:lectureId, t_userId:selectedUserId, t_action:"delete"},
	dataType:'text',
	success : function(data){
		if (data && (data.trim() == 'success'))
		{
			alert('User was successfully removed from the lecture');
			window.location.reload();
		}
		else 
			alert('Operation failed '+data);
	},
	error : function(XMLHttpRequest, textStatus, errorThrown) {
	alert("textStatus " +textStatus);
	alert("errorThrown "+errorThrown);
	}
});
}


function AddUser(id)
{
	var obj  = new Result();

	HideSelectUser();
	$.ajax({
	type : 'POST',
	url: 'commands/users/adddeleteuser.maml',
	data:{t_lectureId:lectureId,t_userId:id, t_action:"add"},	
	dataType:'text',
	success : function(data){
		if ( data && (data.trim() == 'success'))
		{
			alert('User was successfully added to the lecture');
			window.location.reload();
		}
		else 
			alert('Operation failed '+data);
	},
	error : function(XMLHttpRequest, textStatus, errorThrown) {
	alert("XML:  "+XMLHttpRequest+" textStatus: "+textStatus+ " errorThrown: "+ errorThrown);
	}
	});
}


